annotations:
  - border_color: '#808080FF'
    border_style: ''
    color: '#FFFFFFFF'
    line_end: null
    line_start: null
    thickness: 1
    type: line
    x1: -200.0
    y1: -40.0
    x2: -200.0
    y2: -40.0
    z_index: 0
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-


                192.168.2.0/30
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -360.0
    y1: -80.0
    z_index: 2
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-


           192.168.3.0/30
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: 120.0
    y1: -80.0
    z_index: 3
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-


             192.168.1.0/30
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -120.0
    y1: -200.0
    z_index: 7
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-




              OSPF Area 0
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -120.0
    y1: -120.0
    z_index: 8
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-

       192.168.255.1/32 (R1)
       192.168.255.2/32 (R2)
       192.168.255.3/32 (SW2)
       192.168.255.4/32 (SW3)
       192.168.100.254/24 (SW1)
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -440.0
    y1: 0.0
    z_index: 9
  - border_color: '#00000000'
    border_style: ''
    color: '#808080'
    rotation: 0
    text_bold: true
    text_content: Layer 2
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: 0.0
    y1: 200.0
    z_index: 10
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: Layer 3
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: 160.0
    y1: 80.0
    z_index: 11
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: '  HSRPv2'
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -80.0
    y1: 40.0
    z_index: 12
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-


         Primary
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -240.0
    y1: 80.0
    z_index: 13
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-


         Standby
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: 80.0
    y1: 80.0
    z_index: 14
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: |2-
       username: admin
       password: cisconet
       enable password: cisco
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -440.0
    y1: 160.0
    z_index: 15
  - border_color: '#00000000'
    border_style: ''
    color: '#808080FF'
    rotation: 0
    text_bold: true
    text_content: ' crypto key generate rsa (enable ssh)'
    text_font: sans-serif
    text_italic: false
    text_size: 11
    text_unit: pt
    thickness: 1
    type: text
    x1: -440.0
    y1: 240.0
    z_index: 16
smart_annotations: []
nodes:
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3747 bytes\n\
          !\n! Last configuration change at 04:55:51 UTC Fri Nov 14 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\n!\nhostname R1\n!\nboot-start-marker\nboot-end-marker\n\
          !\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\nip domain name ccnp.com\nip cef\nlogin on-success log\nno ipv6\
          \ cef\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ncrypto pki trustpoint TP-self-signed-131184641\n\
          \ enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184641\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184641\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184641\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343634 31301E17 0D323530\
          \ 36323330 30343435\n  305A170D 33353036 32333030 34343530 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  36343130 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 A234D723 702749F5 F8E53D25 98873D79 8428C42C\
          \ 91EDA4B2 0BB673B5\n  B68C7217 567195D5 94DA7D18 608B2A93 CEDBBD90 04669880\
          \ 9E77B704 ABB54B1C\n  6DFF4D76 75CB1558 3A3A7721 20C9B3D2 B03D2E91 44566592\
          \ 4986241B 16580F83\n  82C97C13 8BFE2576 FA00E9E8 7B1ED44C A88136DF 05E88E66\
          \ 482C80C0 E53FDB11\n  03361FBF 151BEAA3 8B202F69 4472151B B2CD8D7D 3BEE7C50\
          \ AFFB7476 1D4EE798\n  A8239474 7E2A3777 F66173EE 738887B3 26C0BFE7 75D58C3E\
          \ 2900C662 0ED38F69\n  7D2C0B8B B61C5489 E2E7DAB1 E5784C8D FD43E560 5A4307A7\
          \ 2A71634F 1E78EA0D\n  5EC5A2FA E1A65019 C52A0932 0A63774B 60A8ED3A 69ECCFCB\
          \ 0A885E5A 68809DDE\n  0CF27129 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 82C7438A 1689C7DB\n  90930BD0 283FF675 E9140675 301F0603 551D2304 18301680\
          \ 1482C743 8A1689C7\n  DB90930B D0283FF6 75E91406 75300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 01002F22 7EF02E19\
          \ 2FA75482 389F4898\n  6C2D252A 375FEEF7 2154786E 6A46D2CB 738D0B54 8F69EF94\
          \ 8809D741 91DEE843\n  01BDF57F EA1656CA 3F89B1F2 24F1AE2D BF4281B6 076E9F1F\
          \ 9F64B4D7 AEEA7401\n  E409E4C7 8903C23B FE853C1B 32D606AA 5EF81E71 F1BE537E\
          \ 6F72025C 06DF2125\n  2C3FD98A DBC0F811 68BD4B62 F1D0DF5E C98CE321 BAEF6731\
          \ 27EA8EB7 7C2BD7CB\n  B85D9EB4 BDD394B3 184B4F59 382D62AE A6864B4C 34685D9E\
          \ 171E807F 84D96864\n  707AA9BC 13C2D432 B43282CD 3EC46F61 F8113C4F B42138C9\
          \ 19AF23DE 64B39DCC\n  D766DC78 37EAADD0 850881F7 8D6D2620 672F211B E4071E0F\
          \ D4662229 53ACF5D3\n  C72322D6 4D39E743 77CD162F 7D982521 3DD8\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 80093\n!\n!\nspanning-tree mode\
          \ rapid-pvst\n!\nenable secret 9 $9$JK6RK9H89Nni3E$yOGLHxzLv9oSlp5TpDTa1bmdUFoBUk97qNI9xfpvk/k\n\
          !\nusername admin privilege 15 secret 9 $9$.hxgyJ6Cqq8xvU$ducUVBYigwOx1cT4b/RAba2LrJUM1WdR62y4qX2aRQ6\n\
          !\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ninterface\
          \ Loopback0\n ip address 192.168.255.1 255.255.255.255\n!\ninterface Ethernet0/0\n\
          \ ip address 192.168.1.1 255.255.255.0\n!\ninterface Ethernet0/1\n no ip\
          \ address\n shutdown\n!\ninterface Ethernet0/2\n ip address 192.168.2.1\
          \ 255.255.255.0\n!\ninterface Ethernet0/3\n no ip address\n shutdown\n!\n\
          interface Ethernet1/0\n no ip address\n shutdown\n!\ninterface Ethernet1/1\n\
          \ no ip address\n shutdown\n!\ninterface Ethernet1/2\n no ip address\n shutdown\n\
          !\ninterface Ethernet1/3\n no ip address\n shutdown\n!\nrouter ospf 1\n\
          \ network 192.168.1.0 0.0.0.3 area 0\n network 192.168.2.0 0.0.0.3 area\
          \ 0\n network 192.168.255.1 0.0.0.0 area 0\n!\nip forward-protocol nd\n\
          !\n!\nip http server\nip http secure-server\nip ssh bulk-mode 131072\nno\
          \ logging btrace\n!\n!\n!\ncontrol-plane\n!\n!\n!\nline con 0\n exec-timeout\
          \ 0 0\n logging synchronous\nline aux 0\nline vty 0 4\n exec-timeout 0 0\n\
          \ login local\n transport input ssh\n!\n!\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n0
    image_definition: null
    label: R1
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -200
    y: -120
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
      - id: i5
        label: Ethernet1/0
        mac_address: null
        slot: 4
        type: physical
      - id: i6
        label: Ethernet1/1
        mac_address: null
        slot: 5
        type: physical
      - id: i7
        label: Ethernet1/2
        mac_address: null
        slot: 6
        type: physical
      - id: i8
        label: Ethernet1/3
        mac_address: null
        slot: 7
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3551 bytes\n\
          !\n! Last configuration change at 04:55:51 UTC Fri Nov 14 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\n!\nhostname R2\n!\nboot-start-marker\nboot-end-marker\n\
          !\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\nip domain name ccnp.com\nip cef\nlogin on-success log\nno ipv6\
          \ cef\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ncrypto pki trustpoint TP-self-signed-131184642\n\
          \ enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184642\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184642\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184642\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343634 32301E17 0D323530\
          \ 36323331 34303130\n  395A170D 33353036 32333134 30313039 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  36343230 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 9A0D910A 1A437772 03192A61 AF93634D 4C69C9CC\
          \ 2E656277 0B51EB59\n  2B585B64 99CB456D 7F513C09 0F132D2D 6454262E B91DF6BE\
          \ 6D4C0AE5 7A051F12\n  A521EA17 2C619578 4C36A78E 242E960B 595A0156 098234D3\
          \ C4268F25 414D3BF3\n  EA6FD429 912D1D35 7D34DA02 BD2DC3EF 6ACB10F8 7CFD2F4A\
          \ 94F31786 113F5362\n  BCB3407B BF74BAA9 F1084092 0A54ED56 14F8BA49 37662C54\
          \ B6F0C3AD 20881E67\n  1E9ED041 D92EFC2D 25009BDE DCDC4CEF EF37FA0E 4CB4A310\
          \ 6BE880A9 5BEDD596\n  9DA972B5 D6388AEB 487CE763 F96AE1C7 2115F5DF C57B0939\
          \ D95F1072 1F0718FD\n  35CB538E F8373F41 11C1D174 BFD8BCCF AAC1C00F D9312F66\
          \ CCB26CB3 170CEF46\n  4037034D 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 65F4D718 5696DB48\n  69EFAFAA 67B274BF C138E9BB 301F0603 551D2304 18301680\
          \ 1465F4D7 185696DB\n  4869EFAF AA67B274 BFC138E9 BB300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 01002A0F AA7AD2C7\
          \ 2283018A F88A4063\n  52652C7B 8F2630A4 A2A248E4 164FFC94 A9F1C43F B380D1FC\
          \ 7622D093 142D480F\n  FE7F7C57 0DBA1913 D56AFEA3 99B98A15 A62A9942 53921515\
          \ 0D18F456 F706E98C\n  6F78B6C3 4ADB9E88 0E95CFDC 6CA91279 FA87CD54 AEBE4356\
          \ C6A91441 2EC19775\n  BDC6F951 633C4C75 C5705049 21579159 B8367022 2585D49E\
          \ 569AE604 EB50C46E\n  BC9524FA 36B22D94 BEC2DA92 1221B599 E76E27EE 997493EE\
          \ 8CD4600B 088CCDDE\n  38AACE5C C88AAD26 B6FAD708 80B8389A 34932B00 9A4D571D\
          \ 43E966F1 8F2C2353\n  5F11D44C 3A8F6EB7 50DF6764 2CBA4420 174ECE34 F24502DD\
          \ CEFE557B 53797B46\n  D2D268DA F377E175 5C62599A ED665FF4 D532\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 80093\n!\n!\nspanning-tree mode\
          \ rapid-pvst\n!\nenable secret 9 $9$QGs4qt/aYxX.EE$/961fwptGtrdsLMJdsrFAE1ZN09g0EXGlbUA6seMCGw\n\
          !\nusername admin privilege 15 secret 9 $9$W2LdV3P/JjVs.U$tzD1UV6eR3Q/ckwDsUjlPWZH.MgRyI6zz2VmFvlkbMc\n\
          !\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\n!\ninterface\
          \ Loopback0\n ip address 192.168.255.2 255.255.255.255\n!\ninterface Ethernet0/0\n\
          \ ip address 192.168.1.2 255.255.255.0\n!\ninterface Ethernet0/1\n ip address\
          \ 192.168.3.1 255.255.255.0\n!\ninterface Ethernet0/2\n no ip address\n\
          \ shutdown\n!\ninterface Ethernet0/3\n no ip address\n shutdown\n!\nrouter\
          \ ospf 1\n network 192.168.1.0 0.0.0.3 area 0\n network 192.168.3.0 0.0.0.3\
          \ area 0\n network 192.168.255.2 0.0.0.0 area 0\n!\nip forward-protocol\
          \ nd\n!\n!\nip http server\nip http secure-server\nip ssh bulk-mode 131072\n\
          no logging btrace\n!\n!\n!\ncontrol-plane\n!\n!\n!\nline con 0\n exec-timeout\
          \ 0 0\n logging synchronous\nline aux 0\nline vty 0 4\n exec-timeout 0 0\n\
          \ login local\n transport input ssh\n!\n!\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n1
    image_definition: null
    label: R2
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: 120
    y: -120
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 4461 bytes\n\
          !\n! Last configuration change at 04:55:51 UTC Fri Nov 14 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\n!\nhostname SW2\n!\nboot-start-marker\nboot-end-marker\n\
          !\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\nip audit notify log\nip audit po max-events 100\nip domain name\
          \ ccnp.com\nip cef\nlogin on-success log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n\
          !\nvtp mode transparent\n!\ncrypto pki trustpoint TP-self-signed-131184643\n\
          \ enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184643\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184643\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184643\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343634 33301E17 0D323530\
          \ 39303830 31343432\n  385A170D 33353039 30383031 34343238 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  36343330 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 C03362CF D4B67C20 90E19F7E 75FD80E8 FB215C4B\
          \ 0C09E38C 99E262FF\n  2755B898 20479497 05BFD10D D60B05D4 5DFAC675 93A1B255\
          \ D51BD75F 728A55E5\n  6B033F53 AED81E87 A203CD19 060B0320 4A390300 34AB2DB2\
          \ 70D5A677 13CDC7A2\n  633AEB84 7FCCFA33 AF14443E 3767A2F0 62EC5445 48039C94\
          \ 76193CDB 3144CC17\n  892D32C8 80960D5B 755785D6 B0C82D25 FFF4E736 120591A0\
          \ F27BD8FA 8F4CADF6\n  6125E26E 619EAA76 93A169DE 54CDFB43 3A7CC80A 3903519A\
          \ 5D018D3F 22A922EF\n  1458045F 4DA3509F 2242296C F48BFFCA 4F151FD5 379E86BE\
          \ 5FD2F7AA A857B590\n  89139005 000607D4 5E6C55A8 85CACBCA 29C53307 1A0EB98D\
          \ C58923BC FAD4D27E\n  B7156AED 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 356B803B BDB96AC2\n  0CB6A2B2 C0C791A5 C199C7CD 301F0603 551D2304 18301680\
          \ 14356B80 3BBDB96A\n  C20CB6A2 B2C0C791 A5C199C7 CD300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 0100B1C8 31A91109\
          \ 1448E664 7C177F10\n  BCC4C448 E77F5852 7F60EF3C A1864508 2753BF9D 95BE2029\
          \ 7C2F9F23 62A1DDC2\n  8EEC5E46 CFEA4134 833C34E5 D30FF202 EEEF866A F5303034\
          \ E54D9E1A B956B617\n  BF81A1D8 9B39C927 082B0D2C 20512AAD 985C982F 04D35283\
          \ 869D47CF 5D6B0990\n  8F8EEB07 809B24AD 3C3C63B4 7DA13A7F 2B315F06 0E8C158F\
          \ 456D8B45 AC3B81B7\n  917BDC4F E15A4681 341713CB 80A2EB75 3C476AFA 0ACCD358\
          \ 69EF5FBD F0133456\n  47246B5E 0F7FE4A2 0858FEB0 90146F80 10BDF5FF DC51A42F\
          \ 2FD1F09F 6855497B\n  FAB8AC73 5BF7DCBA 08323554 76475391 00F9BD2F 881D9EE9\
          \ A91BABE6 E15D667E\n  D09936FD A8280BB9 F2B17240 DC557C77 C46B\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 79593\n!\n!\nspanning-tree mode\
          \ rapid-pvst\nspanning-tree extend system-id\nspanning-tree vlan 9-10,100\
          \ priority 0\nenable secret 9 $9$.0QYTF1UwSNjZ.$.8vXUzkmRcFzekAiWinDZZvRF32jTPlbFLCdZ/xtARk\n\
          !\nusername admin privilege 15 secret 9 $9$ZxNX19Zgm3YVIk$XH6NxdX/WFIxhZmz5Sn06RuYDGV5zIPXOJeU5Tjf/xc\n\
          !\nvlan internal allocation policy ascending\n!\nvlan 9\n name data\n!\n\
          vlan 10\n name voice\n!\nvlan 100\n name HSRP\n!\nvlan 999\n name Native_LACP\n\
          !\n!\n!\n!\n!\ninterface Loopback0\n ip address 192.168.255.3 255.255.255.255\n\
          !\ninterface Port-channel1\n description LACP trunk to peer switch - Port-channel\
          \ interface\n switchport trunk encapsulation dot1q\n switchport trunk native\
          \ vlan 999\n switchport mode trunk\n!\ninterface Ethernet0/0\n no switchport\n\
          \ ip address 192.168.2.2 255.255.255.0\n!\ninterface Ethernet0/1\n description\
          \ LACP trunk to peer switch\n switchport trunk encapsulation dot1q\n switchport\
          \ trunk native vlan 999\n switchport mode trunk\n channel-group 1 mode active\n\
          !\ninterface Ethernet0/2\n switchport trunk encapsulation dot1q\n switchport\
          \ mode trunk\n!\ninterface Ethernet0/3\n description LACP trunk to peer\
          \ switch\n switchport trunk encapsulation dot1q\n switchport trunk native\
          \ vlan 999\n switchport mode trunk\n channel-group 1 mode active\n!\ninterface\
          \ Vlan100\n ip address 192.168.100.2 255.255.255.0\n standby version 2\n\
          \ standby 1 ip 192.168.100.1\n standby 1 timers 1 3\n standby 1 priority\
          \ 110\n standby 1 preempt\n!\nrouter ospf 1\n network 192.168.2.0 0.0.0.3\
          \ area 0\n network 192.168.100.0 0.0.0.255 area 0\n network 192.168.255.3\
          \ 0.0.0.0 area 0\n!\nip forward-protocol nd\n!\n!\nip http server\nip http\
          \ secure-server\nip ssh bulk-mode 131072\n!\nno logging btrace\n!\n!\n!\n\
          control-plane\n!\n!\n!\nline con 0\n exec-timeout 0 0\n logging synchronous\n\
          line aux 0\nline vty 0 4\n exec-timeout 0 0\n login local\n transport input\
          \ ssh\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n2
    image_definition: null
    label: SW2
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -200
    y: 80
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 4440 bytes\n\
          !\n! Last configuration change at 04:55:51 UTC Fri Nov 14 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\n!\nhostname SW3\n!\nboot-start-marker\nboot-end-marker\n\
          !\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\nip audit notify log\nip audit po max-events 100\nip domain name\
          \ ccnp.com\nip cef\nlogin on-success log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n\
          !\nvtp mode transparent\n!\ncrypto pki trustpoint TP-self-signed-131184644\n\
          \ enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184644\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184644\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184644\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343634 34301E17 0D323530\
          \ 39303830 33303632\n  315A170D 33353039 30383033 30363231 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  36343430 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 92282AB8 FEAAEE8A A7D5FCD4 56E83AE7 3E4A6546\
          \ 8C0926E8 8FEBF527\n  90B0D88D 6ED9A0AB CDD75332 9C56AAD6 7D99C924 76999672\
          \ DF865818 26B1A86F\n  23D38C69 842A9991 4D35B839 FE256370 C90A84A3 C4966D08\
          \ 0101BB12 C9F23967\n  E4945B1F B4EC3B03 9D97F710 B910DB04 6ABE7654 7381CD67\
          \ 469F3D9C BA3753BF\n  FB6CBF37 F2716832 811B026A 7AFEC4D6 A7C3A058 60E79685\
          \ 641D4E6E F90AD95D\n  84997730 920843C0 CDFBDEC7 8DA01F0D 1F3E6B30 FA71AA21\
          \ E76D2C2E D13E0D88\n  AC3A1F0D 4A0969FF 58B791CA 93C3B18B 52BA8128 04CD7BB2\
          \ 3159F16F 4C1DFF29\n  B986EB80 351C309C 68E01376 D51FF590 68FEB0E5 95394227\
          \ 04DEA965 4DB4E84F\n  379002E1 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 7389D827 C00A978C\n  7531019B D9C65233 925EDF43 301F0603 551D2304 18301680\
          \ 147389D8 27C00A97\n  8C753101 9BD9C652 33925EDF 43300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 01002215 977EE419\
          \ 1D6B8820 68917FFB\n  026FD70A 2B7DCAF5 623F9E4D 85402626 6DB8F46B 3FE0F3C9\
          \ 7099CF0D F829BE56\n  6C397390 B018CAEB 76E3E21C F78A138C 76F0A9C5 7599CEE6\
          \ D34A7037 F9857D5B\n  E185342F 4559C85E 8F273AA4 80E9BC6B 7916A9E7 8FBFC355\
          \ D1546510 8483A890\n  5F475B99 7A33E3C4 A1CDC791 9C20991F 5CBE3F42 1BB7F424\
          \ DF3CC50D F5F715B6\n  381A994B A610344A 1109A899 BCCACFF6 F5006DF9 3730890B\
          \ 591A9E1B 9D5501B9\n  7850E752 80B6F263 303CC30D A95855C7 E30282E0 971F55B9\
          \ 0F8339BF 3AFA3B75\n  A8ED9B35 99F16939 B122C899 F19AEBBC 1D743160 50F6C321\
          \ 8387CA96 2980846C\n  F0FCB637 EBA0E1BC E698898F F7B38961 245F\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 79593\n!\n!\nspanning-tree mode\
          \ rapid-pvst\nspanning-tree extend system-id\nspanning-tree vlan 9-10,100\
          \ priority 4096\nenable secret 9 $9$BH7ciOwK8lkHrk$H9xNFrg3ddMdUN0LuZ39pd6327OXzyusPvN1tH5V4EE\n\
          !\nusername admin privilege 15 secret 9 $9$z.R9AWi95cGGJE$/esW87u4Qy21e0SDd/Nb6GE0Ds1ebHZk.DFGxV24aeI\n\
          !\nvlan internal allocation policy ascending\n!\nvlan 9\n name data\n!\n\
          vlan 10\n name voice\n!\nvlan 100\n name HSRP\n!\nvlan 999\n name Native_LACP\n\
          !\n!\n!\n!\n!\ninterface Loopback0\n ip address 192.168.255.4 255.255.255.255\n\
          !\ninterface Port-channel1\n description LACP trunk to peer switch - Port-channel\
          \ interface\n switchport trunk encapsulation dot1q\n switchport trunk native\
          \ vlan 999\n switchport mode trunk\n!\ninterface Ethernet0/0\n no switchport\n\
          \ ip address 192.168.3.2 255.255.255.0\n!\ninterface Ethernet0/1\n description\
          \ LACP trunk to peer switch\n switchport trunk encapsulation dot1q\n switchport\
          \ trunk native vlan 999\n switchport mode trunk\n channel-group 1 mode active\n\
          !\ninterface Ethernet0/2\n switchport trunk encapsulation dot1q\n switchport\
          \ mode trunk\n!\ninterface Ethernet0/3\n description LACP trunk to peer\
          \ switch\n switchport trunk encapsulation dot1q\n switchport trunk native\
          \ vlan 999\n switchport mode trunk\n channel-group 1 mode active\n!\ninterface\
          \ Vlan100\n ip address 192.168.100.3 255.255.255.0\n standby version 2\n\
          \ standby 1 ip 192.168.100.1\n standby 1 timers 1 3\n standby 1 preempt\n\
          !\nrouter ospf 1\n network 192.168.3.0 0.0.0.3 area 0\n network 192.168.100.0\
          \ 0.0.0.255 area 0\n network 192.168.255.4 0.0.0.0 area 0\n!\nip forward-protocol\
          \ nd\n!\n!\nip http server\nip http secure-server\nip ssh bulk-mode 131072\n\
          !\nno logging btrace\n!\n!\n!\ncontrol-plane\n!\n!\n!\nline con 0\n exec-timeout\
          \ 0 0\n logging synchronous\nline aux 0\nline vty 0 4\n exec-timeout 0 0\n\
          \ login local\n transport input ssh\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n3
    image_definition: null
    label: SW3
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: 120
    y: 80
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: "Building configuration...\n\nCurrent configuration : 3779 bytes\n\
          !\n! Last configuration change at 04:55:51 UTC Fri Nov 14 2025\n!\nversion\
          \ 17.15\nservice timestamps debug datetime msec\nservice timestamps log\
          \ datetime msec\n!\nhostname SW1\n!\nboot-start-marker\nboot-end-marker\n\
          !\n!\nno logging console\nno aaa new-model\n!\n!\n!\n!\n!\n!\n!\n!\n!\n\
          !\n!\n!\n!\nip audit notify log\nip audit po max-events 100\nip domain name\
          \ ccnp.com\nip cef\nlogin on-success log\nno ipv6 cef\n!\n!\n!\n!\n!\n!\n\
          !\nvtp mode transparent\n!\ncrypto pki trustpoint TP-self-signed-131184645\n\
          \ enrollment selfsigned\n subject-name cn=IOS-Self-Signed-Certificate-131184645\n\
          \ revocation-check none\n rsakeypair TP-self-signed-131184645\n hash sha512\n\
          !\n!\ncrypto pki certificate chain TP-self-signed-131184645\n certificate\
          \ self-signed 01\n  3082032E 30820216 A0030201 02020101 300D0609 2A864886\
          \ F70D0101 0D050030\n  30312E30 2C060355 04030C25 494F532D 53656C66 2D536967\
          \ 6E65642D 43657274\n  69666963 6174652D 31333131 38343634 35301E17 0D323530\
          \ 39303931 38323433\n  325A170D 33353039 30393138 32343332 5A303031 2E302C06\
          \ 03550403 0C25494F\n  532D5365 6C662D53 69676E65 642D4365 72746966 69636174\
          \ 652D3133 31313834\n  36343530 82012230 0D06092A 864886F7 0D010101 05000382\
          \ 010F0030 82010A02\n  82010100 D77F2532 EF60A657 09035538 286BCD0F 1E476672\
          \ B9BEE01D B2CE8F7F\n  AF0DE4D0 543E5E3A 90051500 DBF1FDC8 57A82470 19C681AC\
          \ B5031474 0EF7351E\n  F2BE432C 4D7ADFA6 97BFA184 58D9B509 3E5EA117 DF9DD863\
          \ D35F5E3B A78F65D1\n  A3F28552 29E0896B 7CCAC116 18245FDB 02524075 C67C419B\
          \ 6E7DFDF0 106BF3FE\n  68085AD0 416DDA80 F9291BFA 8C745D8F CA38CAAF 864BA6AB\
          \ D27154F9 B0D03D4B\n  882F48B1 42E122B1 0DB09078 B927B739 EA8E9EBD FF1DADAA\
          \ 59EFBB67 3582EFD1\n  89153ABC CCCBF586 0280C47D D7C100C3 DC3291F5 D62837F5\
          \ C13817E6 E25CED13\n  D5D4979E 1989E523 FC268E0B E7B6EA1D 1ABBCABB 83975237\
          \ AAA4052B CE415665\n  915ABB37 02030100 01A35330 51301D06 03551D0E 04160414\
          \ 9B20A084 2BB38645\n  E905411E F0122B83 DFC6A638 301F0603 551D2304 18301680\
          \ 149B20A0 842BB386\n  45E90541 1EF0122B 83DFC6A6 38300F06 03551D13 0101FF04\
          \ 05300301 01FF300D\n  06092A86 4886F70D 01010D05 00038201 01001B26 F4D6A936\
          \ E98CFD69 8F7F77EB\n  4A8E8303 39C1F3C1 9A04FF8B 6D6D23AE 663E6CA9 CA3073FE\
          \ 4EB0E73C 90F09F28\n  4898262C B1953685 B6FEF1D5 C59C21FB B94DC1A6 0108FECE\
          \ 48D7D3FB 0E580463\n  4659FE6D AEFF4A96 303BD734 3D4F22EB 03948A56 1A64B05F\
          \ 2FBC1DFA 7E37174F\n  1F470DF0 720311E2 D30FFE03 4BE07740 CDAFF72C 02E79248\
          \ 2AAA9F80 C4D913BA\n  37E9D503 C67D918C 6AA6EDF2 00EA9EC0 0832720C 93BB88C5\
          \ 5C8463AC 9DA3FAD8\n  C58ECFCB 9B4191A2 27380B2E 12F646C7 39935BBA BFFD6BB7\
          \ BE525698 0FAC08C7\n  649DB90F 842DA61D F265D411 E7B41E47 C53B9720 FC574BF1\
          \ 95D0A754 DC3A6263\n  B9F49604 8943EA5B D2BC1A51 B3C19C2C 3BFA\n  \tquit\n\
          !\n!\nmemory free low-watermark processor 79593\n!\n!\nspanning-tree mode\
          \ rapid-pvst\nspanning-tree extend system-id\nenable secret 9 $9$i4QvCgENHOnKUk$D1mj91BjVjEn/X.yqKOQklEF6MqR8QZX92CMtMbEpjQ\n\
          !\nusername admin privilege 15 secret 9 $9$5KH8BXQISyEUl.$OLBzmkyfjGrM9hHYqrW0.hgCAZou8jOsrhiDyncBG7I\n\
          !\nvlan internal allocation policy ascending\n!\nvlan 9\n name data\n!\n\
          vlan 10\n name voice\n!\nvlan 100\n name management\n!\n!\n!\n!\n!\ninterface\
          \ Ethernet0/0\n switchport trunk encapsulation dot1q\n switchport mode trunk\n\
          !\ninterface Ethernet0/1\n switchport trunk encapsulation dot1q\n switchport\
          \ mode trunk\n!\ninterface Ethernet0/2\n description Data VLAN\n switchport\
          \ access vlan 9\n switchport mode access\n!\ninterface Ethernet0/3\n description\
          \ Voice VLAN\n switchport access vlan 10\n switchport mode access\n!\ninterface\
          \ Vlan100\n ip address 192.168.100.254 255.255.255.0\n!\nip forward-protocol\
          \ nd\n!\n!\nip http server\nip http secure-server\nip ssh bulk-mode 131072\n\
          ip route 0.0.0.0 0.0.0.0 192.168.100.1\n!\nno logging btrace\n!\n!\n!\n\
          control-plane\n!\n!\n!\nline con 0\n exec-timeout 0 0\n logging synchronous\n\
          line aux 0\nline vty 0 4\n exec-timeout 0 0\n login local\n transport input\
          \ ssh\n!\n!\nend"
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n4
    image_definition: null
    label: SW1
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -40
    y: 200
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
links:
  - id: l0
    n1: n0
    n2: n1
    i1: i1
    i2: i1
    conditioning: {}
    label: R1-Ethernet0/0<->R2-Ethernet0/0
  - id: l1
    n1: n2
    n2: n0
    i1: i1
    i2: i3
    conditioning: {}
    label: SW2-Ethernet0/0<->R1-Ethernet0/2
  - id: l2
    n1: n3
    n2: n1
    i1: i1
    i2: i2
    conditioning: {}
    label: SW3-Ethernet0/0<->R2-Ethernet0/1
  - id: l3
    n1: n2
    n2: n3
    i1: i2
    i2: i2
    conditioning: {}
    label: SW2-Ethernet0/1<->SW3-Ethernet0/1
  - id: l4
    n1: n4
    n2: n2
    i1: i1
    i2: i3
    conditioning: {}
    label: SW1-Ethernet0/0<->SW2-Ethernet0/2
  - id: l5
    n1: n4
    n2: n3
    i1: i2
    i2: i3
    conditioning: {}
    label: SW1-Ethernet0/1<->SW3-Ethernet0/2
  - id: l6
    n1: n2
    n2: n3
    i1: i4
    i2: i4
    conditioning: {}
    label: SW2-Ethernet0/3<->SW3-Ethernet0/3
lab:
  description: ccna course
  notes: ''
  title: student_lab
  version: 0.3.0
